Package owl.automaton.ldba

## Enum LimitDeterministicAutomatonBuilder.Configuration

- java.lang.Object
- - java.lang.Enum<LimitDeterministicAutomatonBuilder.Configuration>
  - - owl.automaton.ldba.LimitDeterministicAutomatonBuilder.Configuration

- All Implemented Interfaces:
    `Serializable`, `Comparable<LimitDeterministicAutomatonBuilder.Configuration>`
  Enclosing class:
    LimitDeterministicAutomatonBuilder<S,KeyT,T,B extends GeneralizedBuchiAcceptance,C>

      public static enum LimitDeterministicAutomatonBuilder.Configuration
      extends Enum<LimitDeterministicAutomatonBuilder.Configuration>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `REMOVE_EPSILON_TRANSITIONS` |
    `SUPPRESS_JUMPS_FOR_TRANSIENT_STATES` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LimitDeterministicAutomatonBuilder.Configuration` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LimitDeterministicAutomatonBuilder.Configuration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUPPRESS_JUMPS_FOR_TRANSIENT_STATES

          public static final LimitDeterministicAutomatonBuilder.Configuration SUPPRESS_JUMPS_FOR_TRANSIENT_STATES

    - #### REMOVE_EPSILON_TRANSITIONS

          public static final LimitDeterministicAutomatonBuilder.Configuration REMOVE_EPSILON_TRANSITIONS

  - ### Method Detail

    - #### values

          public static LimitDeterministicAutomatonBuilder.Configuration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LimitDeterministicAutomatonBuilder.Configuration c : LimitDeterministicAutomatonBuilder.Configuration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LimitDeterministicAutomatonBuilder.Configuration valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null